Subject: php-gd compiled with external gd, utf-8
To: <>
From: reinhold roppert <>
List: pkgsrc-users
Date: 10/25/2007 10:04:03

i have some serious problems using php with bundled gd and utf-8
encodings (see

Because it seems there is no solution for the problem jet, I thought
about this workaround.

On a testserver i compiled php-gd with the external
gd-version and use this in the php.ini for mod-php.

For the commandline i used another php_cli.ini the with the
bundled version of gd.

The obove solution works on a testmachine but i don't know if it will
be stable on an production server.

Did somebody use this? May there be problems to use this with netbsd?

What should i  change in the Makefile of php-gd to use the external gd?
For testing i only changed
-CONFIGURE_ARGS+=       --with-${MODNAME}